Name:		kerneloops
Version:	0.12
Release:	1%{?dist}
Summary:	Tool to automatically collect and submit kernel crash signatures

Group:		System Environment/Base
License:	GPLv2
URL:		http://www.kerneloops.org
Source0:	http://www.kerneloops.org/download/%{name}-%{version}.tar.gz

BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires:	curl-devel
BuildRequires:	libnotify-devel
BuildRequires:	gtk2-devel
BuildRequires:	dbus-glib-devel
BuildRequires:	gettext
BuildRequires:	desktop-file-utils
Requires(post):		chkconfig
Requires(preun):	chkconfig, initscripts

%description
This package contains the tools to collect kernel crash signatures,
and to submit them to the kerneloops.org website where the kernel
crash signatures get collected and grouped for presentation to the
Linux kernel developers.

%prep
%setup -q

%build
make CFLAGS="$RPM_OPT_FLAGS" %{?_smp_mflags}

%check
make tests

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
mkdir -m 0755 -p $RPM_BUILD_ROOT%{_initrddir}
install -p -m 0755 kerneloops.init $RPM_BUILD_ROOT%{_initrddir}/%{name}
%find_lang %{name}

%clean
make clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add %{name}

%preun
if [ $1 -eq 0 ]; then
	/sbin/service %{name} stop > /dev/null 2>&1
	/sbin/chkconfig --del %{name}
fi

%files -f %{name}.lang
%defattr(-,root,root)
%doc COPYING Changelog
%{_sbindir}/%{name}
%config(noreplace) %{_sysconfdir}/kerneloops.conf
%{_initrddir}/%{name}
%{_sysconfdir}/dbus-1/system.d/kerneloops.dbus
%{_sysconfdir}/xdg/autostart/kerneloops-applet.desktop
%{_datadir}/kerneloops/
%{_bindir}/kerneloops-applet
%doc %{_mandir}/man8/kerneloops.8.gz

%changelog
* Tue Jun 17 2008 Chuck Ebbert <cebbert@redhat.com>  0.12-1
- kerneloops 0.12

* Fri May 16 2008 Chuck Ebbert <cebbert@redhat.com>  0.11-1
- Update to version 0.11

* Tue Apr 02 2008 Chuck Ebbert <cebbert@redhat.com>  0.10-12
- Pass options from /etc/sysconfig/kerneloops

* Fri Mar 28 2008 Chuck Ebbert <cebbert@redhat.com>  0.10-11
- Don't leave the status icon visible after an oops notification. (#438432)

* Fri Mar 28 2008 Chuck Ebbert <cebbert@redhat.com>  0.10-10
- Write the correct user preference setting when user chooses "always". (#437291)

* Fri Mar 28 2008 Chuck Ebbert <cebbert@redhat.com>  0.10-9
- Don't repeatedly ask the user for permission to send old oopses. (#435065)

* Mon Mar 17 2008 Chuck Ebbert <cebbert@redhat.com>  0.10-8
- Don't report a harmless RAID warning message (#437854)

* Mon Mar 17 2008 Chuck Ebbert <cebbert@redhat.com>  0.10-7
- Fix high CPU usage on startup with large system logs (#435544)

* Tue Mar 04 2008 Chuck Ebbert <cebbert@redhat.com>  0.10-6
- Fix the preun script to use a numeric comparison.
- Require syslog to be running when shutting down. (#433413)

* Tue Mar 04 2008 Chuck Ebbert <cebbert@redhat.com>  0.10-4
- Ignore "Modules linked in" when scanning for oopses.

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.10-3
- Autorebuild for GCC 4.3

* Thu Jan 24 2008 Chuck Ebbert <cebbert@redhat.com> - 0.10-2
- Fix misnamed kerneloops man page file. (#430102)

* Sat Jan 5 2008 Arjan van de Ven <arjan@linux.intel.com> - 0.10-1
- fix some bugs caught by the fedora review process
* Tue Jan 1 2008 Arjan van de Ven <arjan@linux.intel.com> - 0.9-1
- make translatable
* Mon Dec 31 2007 Arjan van de Ven <arjan@linux.intel.com> - 0.8-1
- Add UI applet to ask the privacy question
* Sat Dec 29 2007 Arjan van de Ven <arjan@linux.intel.com> - 0.7-1
- fix memory leak
* Wed Dec 19 2007 Arjan van de Ven <arjan@linux.intel.com> - 0.6-1
- various cleanups and minor improvements
- Merged Matt Domsch's improvements
* Tue Dec 18 2007 Arjan van de Ven <arjan@linux.intel.com> - 0.5-1
- fix infinite loop
* Mon Dec 17 2007 Arjan van de Ven <arjan@linux.intel.com> - 0.4-1
- PPC bugfixes
* Sun Dec 9 2007 Arjan van de Ven <arjan@linux.intel.com> - 0.3-1
- more fixes
* Sat Dec 8 2007 Arjan van de Ven <arjan@linux.intel.com> - 0.2-1
- bugfix to submit the whole oops on x86
* Sat Dec 1 2007 Arjan van de Ven <arjan@linux.intel.com> - 0.1-1
- Initial packaging
